.SS Build environment
.TP
.BR PATH
STRING type.
PATH to set when running dpkg-buildpackage.
.IP
Default:
.PP
.RS
\f[CR]$path = '/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games';\fP
.br
.RE
.SS Build options
.TP
.BR BUILD_ARCH
STRING type.
Build architecture (Arch we are building on).
.IP
Default:
.PP
.RS
\f[CR]$build_arch = 'amd64';\fP
.br
.RE
.TP
.BR BUILD_PROFILES
STRING type.
Build profiles. Separated by spaces.
.IP
Default:
.PP
.RS
\f[CR]$build_profiles = '';\fP
.br
.RE
.TP
.BR DISTRIBUTION
STRING type.
Default distribution.  By default, no distribution is defined, and the user must specify it with the -d option.  However, a default may be configured here if desired.  Users must take care not to upload to the wrong distribution when this option is set, for example experimental packages will be built for upload to unstable when this is not what is required.
.IP
Default:
.PP
.RS
\f[CR]$distribution = undef;\fP
.br
.RE
.TP
.BR DISTRIBUTIONS
ARRAY:HASH:SCALAR type.
List of distributions that buildd should take packages from
Example:
.PP
.RS
\f[CR]$distributions = [\fP
.br
\f[CR]	{\fP
.br
\f[CR]		# name of the suite to build (also used to query wanna-build)\fP
.br
\f[CR]		dist_name => ["unstable", "testing"],\fP
.br
\f[CR]\fP
.br
\f[CR]		# architecture to be built (will be passed to sbuild and can be\fP
.br
\f[CR]		# used to compute wanna_build_db_name)\fP
.br
\f[CR]		built_architecture => undef,\fP
.br
\f[CR]\fP
.br
\f[CR]		# host on which wanna-build is run\fP
.br
\f[CR]		wanna_build_ssh_host => "buildd.debian.org",\fP
.br
\f[CR]\fP
.br
\f[CR]		# user as who we are going to connect to the host running wanna-build\fP
.br
\f[CR]		wanna_build_ssh_user => "buildd_arch",\fP
.br
\f[CR]\fP
.br
\f[CR]		# SSH control socket path for ssh -S option\fP
.br
\f[CR]		wanna_build_ssh_socket => "",\fP
.br
\f[CR]\fP
.br
\f[CR]		# Additional SSH options used when connecting\fP
.br
\f[CR]		wanna_build_ssh_options => [],\fP
.br
\f[CR]\fP
.br
\f[CR]		# database used for wanna-build\fP
.br
\f[CR]		wanna_build_db_name => "arch/build-db",\fP
.br
\f[CR]\fP
.br
\f[CR]		# Username to use for wanna-build.\fP
.br
\f[CR]		wanna_build_db_user => $Buildd::username,\fP
.br
\f[CR]\fP
.br
\f[CR]		# Local queue directory where binaries are stored before uploaded\fP
.br
\f[CR]		# by dupload. You need to configure this directory in\fP
.br
\f[CR]		# @upload_queues to get packages uploaded from there.\fP
.br
\f[CR]		dupload_local_queue_dir => "upload",\fP
.br
\f[CR]\fP
.br
\f[CR]		# list of packages which shouldn't be picked up by buildd\fP
.br
\f[CR]		no_auto_build => [],\fP
.br
\f[CR]\fP
.br
\f[CR]		# list of packages which should only be taken if there absolutely\fP
.br
\f[CR]		# nothing else to do (probably packages included in no_auto_build\fP
.br
\f[CR]		# because they take too long)\fP
.br
\f[CR]		weak_no_auto_build => [],\fP
.br
\f[CR]\fP
.br
\f[CR]		# regex used to filter out unwanted packages:\fP
.br
\f[CR]		#no_build_regex => "^(contrib/|non-free/)?non-US/",\fP
.br
\f[CR]\fP
.br
\f[CR]		# regex used to filter packages to build:\fP
.br
\f[CR]		#build_regex => "",\fP
.br
\f[CR]\fP
.br
\f[CR]		# mail addr of buildd admin handling packages from this distribution\fP
.br
\f[CR]		logs_mailed_to => $admin_mail,\fP
.br
\f[CR]\fP
.br
\f[CR]		# schroot name (or alias) of the chrooted environment to use for\fP
.br
\f[CR]		# building (will be passed to sbuild). sbuild's default is\fP
.br
\f[CR]		# the first of $distribution-$arch-sbuild, $distribution-sbuild,\fP
.br
\f[CR]		# $distribution-$arch and $distribution.\fP
.br
\f[CR]		sbuild_chroot => undef,\fP
.br
\f[CR]\fP
.br
\f[CR]	}\fP
.br
\f[CR]];\fP
.br
.RE
.TP
.BR HOST_ARCH
STRING type.
Host architecture (Arch we are building for)
.IP
Default:
.PP
.RS
\f[CR]$host_arch = 'amd64';\fP
.br
.RE
.TP
.BR NICE_LEVEL
NUMERIC type.
Nice level to run sbuild.  Dedicated build daemons should not be niced.
.IP
Default:
.PP
.RS
\f[CR]$nice_level = 10;\fP
.br
.RE
.SS Daemon
.TP
.BR DAEMON_LOG_FILE
STRING type.
Main buildd daemon log file
.IP
Default:
.PP
.RS
\f[CR]$daemon_log_file = '/home/josch/daemon.log';\fP
.br
.RE
.TP
.BR DELAY_AFTER_GIVE_BACK
NUMERIC type.
Time to avoid packages that have automatically been given back by sbuild (in minutes)
.IP
Default:
.PP
.RS
\f[CR]$delay_after_give_back = 480;\fP
.br
.RE
.TP
.BR IDLE_SLEEP_TIME
NUMERIC type.
Time to sleep when idle (in seconds) between wanna-build --list=needs-build calls)
.IP
Default:
.PP
.RS
\f[CR]$idle_sleep_time = 300;\fP
.br
.RE
.TP
.BR MAX_SBUILD_FAILS
NUMERIC type.
Maximum number of times sbuild can fail before sleeping
.IP
Default:
.PP
.RS
\f[CR]$max_sbuild_fails = 2;\fP
.br
.RE
.TP
.BR MIN_FREE_SPACE
NUMERIC type.
Minimum free space (in KiB) on build filesystem
.IP
Default:
.PP
.RS
\f[CR]$min_free_space = 51200;\fP
.br
.RE
.TP
.BR NO_DETACH
BOOL type.
Disable becoming a daemon, for debugging purposes.  Set to 1 to stop daemonising, otherwise set to 0 to become a daemon.
.IP
Default:
.PP
.RS
\f[CR]$no_detach = 0;\fP
.br
.RE
.TP
.BR PIDFILE
STRING type.
PID file to identify running daemon.
.IP
Default:
.PP
.RS
\f[CR]$pidfile = '/home/josch/build/buildd.pid';\fP
.br
.RE
.TP
.BR SHOULD_BUILD_MSGS
BOOL type.
Should buildd send "Should I build" messages?
.IP
Default:
.PP
.RS
\f[CR]$should_build_msgs = 1;\fP
.br
.RE
.SS Logging options
.TP
.BR DEBUG
NUMERIC type.
Debug logging level
.IP
Default:
.PP
.RS
\f[CR]$debug = 0;\fP
.br
.RE
.TP
.BR VERBOSE
NUMERIC type.
Verbose logging level
.IP
Default:
.PP
.RS
\f[CR]$verbose = 0;\fP
.br
.RE
.SS Mail
.TP
.BR ADMIN_MAIL
STRING type.
email address for admin
.IP
Default:
.PP
.RS
\f[CR]$admin_mail = 'root';\fP
.br
.RE
.TP
.BR ERROR_MAIL_WINDOW
NUMERIC type.
If more than five error mails are received within the specified time (in seconds), do not forward (to avoid possible mail loops)
.IP
Default:
.PP
.RS
\f[CR]$error_mail_window = 28800;\fP
.br
.RE
.TP
.BR LOG_QUEUED_MESSAGES
BOOL type.
Log success messages from upload queue daemon?
.IP
Default:
.PP
.RS
\f[CR]$log_queued_messages = 0;\fP
.br
.RE
.SS Programs
.TP
.BR APT_GET
STRING type.
Path to apt-get binary
.IP
Default:
.PP
.RS
\f[CR]$apt_get = 'apt-get';\fP
.br
.RE
.TP
.BR MAILPROG
STRING type.
Program to use to send mail
.IP
Default:
.PP
.RS
\f[CR]$mailprog = '/usr/sbin/sendmail';\fP
.br
.RE
.TP
.BR SSH
STRING type.
Path to ssh binary
.IP
Default:
.PP
.RS
\f[CR]$ssh = 'ssh';\fP
.br
.RE
.TP
.BR SUDO
STRING type.
Path to sudo binary
.IP
Default:
.PP
.RS
\f[CR]$sudo = 'sudo';\fP
.br
.RE
.SS Uploader
.TP
.BR UPLOAD_QUEUES
ARRAY:HASH:SCALAR type.
Package upload queues
Example:
.PP
.RS
\f[CR]$upload_queues = [\fP
.br
\f[CR]	{\fP
.br
\f[CR]		# Local queue directory where binaries are stored before uploaded\fP
.br
\f[CR]		# by dupload.\fP
.br
\f[CR]		dupload_local_queue_dir => "upload",\fP
.br
\f[CR]\fP
.br
\f[CR]		# Upload site for buildd-upload to pass to dupload(1); see\fP
.br
\f[CR]		# /etc/dupload.conf for possible values.\fP
.br
\f[CR]		dupload_archive_name => "anonymous-ftp-master",\fP
.br
\f[CR]	},\fP
.br
\f[CR]\fP
.br
\f[CR]	{\fP
.br
\f[CR]		# Local queue directory where binaries are stored before uploaded\fP
.br
\f[CR]		# by dupload.\fP
.br
\f[CR]		dupload_local_queue_dir => "upload-security",\fP
.br
\f[CR]\fP
.br
\f[CR]		# Upload site for buildd-upload to pass to dupload(1); see\fP
.br
\f[CR]		# /etc/dupload.conf for possible values.\fP
.br
\f[CR]		dupload_archive_name => "security",\fP
.br
\f[CR]	}\fP
.br
\f[CR]];\fP
.br
.RE
.SS Watcher
.TP
.BR BUILD_LOG_KEEP
NUMERIC type.
Number of days until build logs are archived
.IP
Default:
.PP
.RS
\f[CR]$build_log_keep = 2;\fP
.br
.RE
.TP
.BR DAEMON_LOG_KEEP
NUMERIC type.
Number of days until old daemon logs are archived in a .tar.gz file
.IP
Default:
.PP
.RS
\f[CR]$daemon_log_keep = 7;\fP
.br
.RE
.TP
.BR DAEMON_LOG_ROTATE
NUMERIC type.
Number how many days until daemon logs are rotated (one is kept as daemon.log.old, others are moved to old-logs and gzipped)
.IP
Default:
.PP
.RS
\f[CR]$daemon_log_rotate = 1;\fP
.br
.RE
.TP
.BR DAEMON_LOG_SEND
BOOL type.
email rotated daemon logs to the admin?
.IP
Default:
.PP
.RS
\f[CR]$daemon_log_send = 1;\fP
.br
.RE
.TP
.BR NO_WARN_PATTERN
STRING type.
Don't complain about old files if they match the regexp.
.IP
Default:
.PP
.RS
\f[CR]$no_warn_pattern = '^build/(SKIP|REDO|SBUILD-GIVEN-BACK|buildd\\.pid|[^/]*.ssh|chroot-[^/]*|current-[^/]*)$';\fP
.br
.RE
.TP
.BR PKG_LOG_KEEP
NUMERIC type.
Number of days until to package logs are archived
.IP
Default:
.PP
.RS
\f[CR]$pkg_log_keep = 7;\fP
.br
.RE
.TP
.BR STATISTICS_MAIL
STRING type.
email address for statistics summaries
.IP
Default:
.PP
.RS
\f[CR]$statistics_mail = 'root';\fP
.br
.RE
.TP
.BR STATISTICS_PERIOD
NUMERIC type.
Period for statistic summaries (days)
.IP
Default:
.PP
.RS
\f[CR]$statistics_period = 7;\fP
.br
.RE
.TP
.BR WARNING_AGE
NUMERIC type.
Age (in days) after which a warning is issued for files in upload and dirs in build
.IP
Default:
.PP
.RS
\f[CR]$warning_age = 7;\fP
.br
.RE
.SS wanna-build client
.TP
.BR BUILT_ARCHITECTURE
STRING type.
Architecture for database
.IP
Default:
.PP
.RS
\f[CR]$wanna_build_built_architecture = 'amd64';\fP
.br
.RE
.TP
.BR WANNA_BUILD_DB_NAME
STRING type.
Database name
.IP
Default:
.PP
.RS
\f[CR]$wanna_build_db_name = undef;\fP
.br
.RE
.TP
.BR WANNA_BUILD_DB_USER
STRING type.
Database user
.IP
Default:
.PP
.RS
\f[CR]$wanna_build_db_user = 'josch';\fP
.br
.RE
.TP
.BR WANNA_BUILD_SSH_HOST
STRING type.
Host for SSH connection
.IP
Default:
.PP
.RS
\f[CR]$wanna_build_ssh_host = '';\fP
.br
.RE
.TP
.BR WANNA_BUILD_SSH_OPTIONS
ARRAY:STRING type.
SSH options.  Note this is an array reference.
.IP
Default:
.PP
.RS
\f[CR]$wanna_build_ssh_options = [];\fP
.br
.RE
.TP
.BR WANNA_BUILD_SSH_SOCKET
STRING type.
Socket for SSH connection
.IP
Default:
.PP
.RS
\f[CR]$wanna_build_ssh_socket = '';\fP
.br
.RE
.TP
.BR WANNA_BUILD_SSH_USER
STRING type.
Username for SSH connection
.IP
Default:
.PP
.RS
\f[CR]$wanna_build_ssh_user = '';\fP
.br
.RE
